:::: MENU ::::

sexta-feira, 10 de dezembro de 2010

Todos os dias vemos sites ficarem indisponíveis por causa de ataques DDOS (Ataques de negação de serviço distribuídos). Estes sites, aos que não sabem, foram pressionados pelos governos a proibirem o acesso a contas vinculadas ao Assange e/ou WikiLeaks. Some isso a prisão do Assange e... BOOOM! A ira de centenas de hackers e milhares de newbies mobilizaram-se para não deixar isso barato!

LOIC

Dentre as ferramentas que estão sendo utilizadas, uma se destaca na multidão: O LOIC (Low Orbit Ion Cannon). Essa ferramenta é capaz de realizar milhares de requisições ao endereço especificado. Talvez você sozinho não consiga atrapalhar um site inteiro, mas, quando temos mil pessoas realizando milhões de requisições por segundo diretamente em um servidor, dificilmente este aguentará.
Está rolando um script na Internet de como instalar esse brinquedinho, no princípio ele não suportava o openSUSE mas, meti mão e adicionei o suporte ao nosso queridinho :D
O script também pode ser encontrado no link http://pastebin.com/hKbZSGP6

#!/bin/bash
# Copyfuck © 2010 q
#
# This script installs, updates and runs LOIC on Linux.
#
# Supported distributions:
# * Ubuntu / Debian
# * Fedora
# * openSUSE
#
# Usage: bash install_loic.bash

###COLOURS###

txt_bld=$(tput bold)
bld_red=${txt_bld}$(tput setaf 1)
col_rst=$(tput sgr0)

###GLOBALS###

GIT_REPO=https://github.com/NewEraCracker/LOIC.git
GIT_BRANCH=master

###FUNCTIONS###

ensure_git() #Checks if git is installed, Tries to install it if not
{
type -P git &>/dev/null ||
{
echo -e "${bld_red}Git not found! Attempting to install...${col_rst}"
if [ -f /etc/SuSE-release ] ; then
sudo zypper install git
elif [ -f /etc/lsb-release ] ; then
sudo apt-get install git
elif [ -f /etc/fedora-release ] ; then
sudo yum install git
elif [ -f /etc/debian_version ] ; then
sudo apt-get install git
fi
}
}


is_loic_git()
{
[[ -d .git ]] && grep -q LOIC .git/config
}


is_loic() {
is_loic_git ||
{
[[ -d LOIC ]] && cd LOIC && is_loic_git
}
}

get_loic() {
ensure_git
if ! is_loic ; then
git init
git clone $GIT_REPO -b $GIT_BRANCH
fi
}

compile_loic() {
get_loic
if ! is_loic ; then
echo -e "${bld_red}Error: You are not in a LOIC repository.${col_rst}"
exit 1
else
if [ -f /etc/SuSE-release ] ; then
echo -e "${bld_red}mono-basic, mono-devel, monodevelop and mono-tools not found! Attempting to install...${col_rst}"
sudo zypper install mono-basic mono-devel monodevelop mono-tools
elif [ -f /etc/lsb-release ] ; then
echo -e "${bld_red}monodevelop and liblog4net-cil-dev not found! Attempting to install...${col_rst}"
sudo apt-get install monodevelop liblog4net-cil-dev
elif [ -f /etc/fedora-release ] ; then
echo -e "${bld_red}mono-basic, mono-devel, monodevelop and mono-tools not found! Attempting to install...${col_rst}"
sudo yum install mono-basic mono-devel monodevelop mono-tools
elif [ -f /etc/debian_version ] ; then
echo -e "${bld_red}monodevelop and liblog4net-cil-dev not found! Attempting to install...${col_rst}"
sudo apt-get install monodevelop liblog4net-cil-dev

fi
fi
mdtool build
}

run_loic() {
is_loic
if [[ ! -e bin/Debug/LOIC.exe ]] ; then
compile_loic
fi
type -P mono &>/dev/null ||
{
echo -e "${bld_red}mono-runtime not found! Attempting to install...${col_rst}"
if [ -f /etc/SuSE-release ] ; then
sudo yum install mono-runtime
elif [ -f /etc/lsb-release ] ; then
sudo apt-get install mono-runtime
elif [ -f /etc/fedora-release ] ; then
sudo yum install mono-runtime
elif [ -f /etc/debian_version ] ; then
sudo apt-get install mono-runtime
fi
}
mono bin/Debug/LOIC.exe
}

update_loic() {
ensure_git
if is_loic ; then
git pull --rebase
compile_loic
else
echo -e "${bld_red}Error: You are not in a LOIC repository.${col_rst}"
fi
}

case $1 in
install)
compile_loic
;;
update)
update_loic
;;
run)
run_loic
;;
*)
echo "Usage: $0 "
;;
esac


A primeira guerra cibernética está rolando... E você, quer se alistar? Acompanhe o @Anon_Operationn e @Op_Payback ;)

0 comentários:

Postar um comentário

Só não vale xingar a mãe ou puxar cabelo nos comentários =)

Posts populares